(*********************************************************************
 *
 *  :Program.		Image fr Mastermind
 *  :Author.		Hans Schafft
 *  :Address.		Landfriedstrae 1A - Hinterhaus
 *  :Address.		6900 Heidelberg
 *  :Phone.		06221 - 22416
 *  :Version.		1.0
 *  :Date.		1989
 *  :Copyright.		PD
 *  :Language.		Modula-II
 *  :Translator.	M2Amiga
 *
 *********************************************************************)
(* 	Um die PfeilImages einzubinden habe ich IFFRToCode von AMOK #3  *)
(*	benutzt. Dem Autor Pit Burkhardt auf diesem Wege vielen Dank !  *)
(************************************************************************)

IMPLEMENTATION MODULE ObenImg;

FROM SYSTEM	IMPORT	WORD;
FROM Heap	IMPORT	AllocMem;

BEGIN   (* MAIN *)
  AllocMem(ObenImgPtr,SIZE(ObenImgPtr^),TRUE);

  WITH ObenImage DO
    leftEdge := 0;
    topEdge := 0;
    width := 56;
    height:=  8;
    depth :=  4;
    imageData := ObenImgPtr;
    planePick := 0FFH;
    planeOnOff := 0H;
    nextImage := NIL;
  END;

  WITH ObenImgPtr^ DO         (* oben *)

  (* Plane 1 *)
 Dat[  0]:=0FFFFH; Dat[  1]:=0FFFFH; Dat[  2]:=0FF00H; Dat[  3]:=00000H;(* 1*)
 Dat[  4]:=0FFFFH; Dat[  5]:=0FFFFH; Dat[  6]:=0FF00H; Dat[  7]:=00000H;(* 2*)
 Dat[  8]:=0FFFFH; Dat[  9]:=0FFFFH; Dat[ 10]:=0FF00H; Dat[ 11]:=00000H;(* 3*)
 Dat[ 12]:=0FFFFH; Dat[ 13]:=0FFFFH; Dat[ 14]:=0FF00H; Dat[ 15]:=00000H;(* 4*)
 Dat[ 16]:=0FFFFH; Dat[ 17]:=0FFFFH; Dat[ 18]:=0FF00H; Dat[ 19]:=00000H;(* 5*)
 Dat[ 20]:=0FFFFH; Dat[ 21]:=0FFFFH; Dat[ 22]:=0FF00H; Dat[ 23]:=00000H;(* 6*)
 Dat[ 24]:=0FFFFH; Dat[ 25]:=0FFFFH; Dat[ 26]:=0FF00H; Dat[ 27]:=00000H;(* 7*)
 Dat[ 28]:=0FFFFH; Dat[ 29]:=0FFFFH; Dat[ 30]:=0FF00H; Dat[ 31]:=00000H;(* 8*)

  (* Plane 2 *)
 Dat[ 32]:=0FFFFH; Dat[ 33]:=0FFFFH; Dat[ 34]:=0FF00H; Dat[ 35]:=00000H;(* 1*)
 Dat[ 36]:=07FFFH; Dat[ 37]:=0FFFFH; Dat[ 38]:=0FE00H; Dat[ 39]:=00000H;(* 2*)
 Dat[ 40]:=03FFFH; Dat[ 41]:=0FFFFH; Dat[ 42]:=0FC00H; Dat[ 43]:=00000H;(* 3*)
 Dat[ 44]:=01FFFH; Dat[ 45]:=0FFFFH; Dat[ 46]:=0F800H; Dat[ 47]:=00000H;(* 4*)
 Dat[ 48]:=00FFFH; Dat[ 49]:=0FFFFH; Dat[ 50]:=0F000H; Dat[ 51]:=00000H;(* 5*)
 Dat[ 52]:=007FFH; Dat[ 53]:=0FFFFH; Dat[ 54]:=0E000H; Dat[ 55]:=00000H;(* 6*)
 Dat[ 56]:=003FFH; Dat[ 57]:=0FFFFH; Dat[ 58]:=0C000H; Dat[ 59]:=00000H;(* 7*)
 Dat[ 60]:=00000H; Dat[ 61]:=00000H; Dat[ 62]:=00000H; Dat[ 63]:=00000H;(* 8*)

  (* Plane 3 *)
 Dat[ 64]:=00000H; Dat[ 65]:=00000H; Dat[ 66]:=00000H; Dat[ 67]:=00000H;(* 1*)
 Dat[ 68]:=08000H; Dat[ 69]:=00000H; Dat[ 70]:=00100H; Dat[ 71]:=00000H;(* 2*)
 Dat[ 72]:=0C000H; Dat[ 73]:=00000H; Dat[ 74]:=00300H; Dat[ 75]:=00000H;(* 3*)
 Dat[ 76]:=0E000H; Dat[ 77]:=00000H; Dat[ 78]:=00700H; Dat[ 79]:=00000H;(* 4*)
 Dat[ 80]:=0F000H; Dat[ 81]:=00000H; Dat[ 82]:=00F00H; Dat[ 83]:=00000H;(* 5*)
 Dat[ 84]:=0F800H; Dat[ 85]:=00000H; Dat[ 86]:=01F00H; Dat[ 87]:=00000H;(* 6*)
 Dat[ 88]:=0FC00H; Dat[ 89]:=00000H; Dat[ 90]:=03F00H; Dat[ 91]:=00000H;(* 7*)
 Dat[ 92]:=0FC00H; Dat[ 93]:=00000H; Dat[ 94]:=03F00H; Dat[ 95]:=00000H;(* 8*)

  (* Plane 4 *)
 Dat[ 96]:=0FFFFH; Dat[ 97]:=0FFFFH; Dat[ 98]:=0FF00H; Dat[ 99]:=00000H;(* 1*)
 Dat[100]:=0FFFFH; Dat[101]:=0FFFFH; Dat[102]:=0FF00H; Dat[103]:=00000H;(* 2*)
 Dat[104]:=0FFFFH; Dat[105]:=0FFFFH; Dat[106]:=0FF00H; Dat[107]:=00000H;(* 3*)
 Dat[108]:=0FFFFH; Dat[109]:=0FFFFH; Dat[110]:=0FF00H; Dat[111]:=00000H;(* 4*)
 Dat[112]:=0FFFFH; Dat[113]:=0FFFFH; Dat[114]:=0FF00H; Dat[115]:=00000H;(* 5*)
 Dat[116]:=0FFFFH; Dat[117]:=0FFFFH; Dat[118]:=0FF00H; Dat[119]:=00000H;(* 6*)
 Dat[120]:=0FFFFH; Dat[121]:=0FFFFH; Dat[122]:=0FF00H; Dat[123]:=00000H;(* 7*)
 Dat[124]:=0FFFFH; Dat[125]:=0FFFFH; Dat[126]:=0FF00H; Dat[127]:=00000H;(* 8*)

END;
END ObenImg.
