(*********************************************************************
 *
 *  :Program.		Image fr Mastermind
 *  :Author.		Hans Schafft
 *  :Address.		Landfriedstrae 1A - Hinterhaus
 *  :Address.		6900 Heidelberg
 *  :Phone.		06221 - 22416
 *  :Version.		1.0
 *  :Date.		1989
 *  :Copyright.		PD
 *  :Language.		Modula-II
 *  :Translator.	M2Amiga
 *
 *********************************************************************)
(* 	Um die PfeilImages einzubinden habe ich IFFRToCode von AMOK #3  *)
(*	benutzt. Dem Autor Pit Burkhardt auf diesem Wege vielen Dank !  *)
(************************************************************************)

IMPLEMENTATION MODULE PlusMinusImg;

FROM SYSTEM	IMPORT	WORD;
FROM Heap	IMPORT	AllocMem;

BEGIN
  AllocMem(PlusMinusImgPtr,SIZE(PlusMinusImgPtr^),TRUE);

  WITH PlusMinusImage DO
    leftEdge := 0;
    topEdge := 0;
    width :=112;
    height:= 35;
    depth :=  4;
    imageData := PlusMinusImgPtr;
    planePick := 0FFH;
    planeOnOff := 0H;
    nextImage := NIL;
  END;


  WITH PlusMinusImgPtr^ DO         (* plMi *)

  (* Plane 1 *)
 Dat[  0]:=00000H; Dat[  1]:=00000H; Dat[  2]:=00000H; Dat[  3]:=00000H;
 Dat[  4]:=00000H; Dat[  5]:=00000H; Dat[  6]:=00000H;(* 1*)
 Dat[  7]:=00000H; Dat[  8]:=00000H; Dat[  9]:=00000H; Dat[ 10]:=00000H;
 Dat[ 11]:=00000H; Dat[ 12]:=00000H; Dat[ 13]:=00000H;(* 2*)
 Dat[ 14]:=00000H; Dat[ 15]:=00000H; Dat[ 16]:=00000H; Dat[ 17]:=00000H;
 Dat[ 18]:=00000H; Dat[ 19]:=00000H; Dat[ 20]:=00000H;(* 3*)
 Dat[ 21]:=00000H; Dat[ 22]:=00000H; Dat[ 23]:=00000H; Dat[ 24]:=00000H;
 Dat[ 25]:=00000H; Dat[ 26]:=00000H; Dat[ 27]:=00000H;(* 4*)
 Dat[ 28]:=00000H; Dat[ 29]:=00000H; Dat[ 30]:=00000H; Dat[ 31]:=00000H;
 Dat[ 32]:=00000H; Dat[ 33]:=00000H; Dat[ 34]:=00000H;(* 5*)
 Dat[ 35]:=00000H; Dat[ 36]:=00000H; Dat[ 37]:=00000H; Dat[ 38]:=00000H;
 Dat[ 39]:=00000H; Dat[ 40]:=00000H; Dat[ 41]:=00000H;(* 6*)
 Dat[ 42]:=00000H; Dat[ 43]:=00100H; Dat[ 44]:=03FFFH; Dat[ 45]:=0FFFFH;
 Dat[ 46]:=0FFFCH; Dat[ 47]:=00080H; Dat[ 48]:=00000H;(* 7*)
 Dat[ 49]:=00000H; Dat[ 50]:=00180H; Dat[ 51]:=03FFFH; Dat[ 52]:=0FFFFH;
 Dat[ 53]:=0FFFCH; Dat[ 54]:=00180H; Dat[ 55]:=00000H;(* 8*)
 Dat[ 56]:=00000H; Dat[ 57]:=021C0H; Dat[ 58]:=03FFFH; Dat[ 59]:=0FFFFH;
 Dat[ 60]:=0FFFCH; Dat[ 61]:=00384H; Dat[ 62]:=00000H;(* 9*)
 Dat[ 63]:=00000H; Dat[ 64]:=031E0H; Dat[ 65]:=03FFFH; Dat[ 66]:=0FFFFH;
 Dat[ 67]:=0FFFCH; Dat[ 68]:=0078CH; Dat[ 69]:=00000H;(*10*)
 Dat[ 70]:=00000H; Dat[ 71]:=038F0H; Dat[ 72]:=03FFFH; Dat[ 73]:=0FFFFH;
 Dat[ 74]:=0FFFCH; Dat[ 75]:=00F1CH; Dat[ 76]:=00000H;(*11*)
 Dat[ 77]:=00000H; Dat[ 78]:=03C78H; Dat[ 79]:=03FFFH; Dat[ 80]:=0FFFFH;
 Dat[ 81]:=0FFFCH; Dat[ 82]:=01E3CH; Dat[ 83]:=00000H;(*12*)
 Dat[ 84]:=00000H; Dat[ 85]:=03E38H; Dat[ 86]:=03FFFH; Dat[ 87]:=0FFFFH;
 Dat[ 88]:=0FFFCH; Dat[ 89]:=01C7CH; Dat[ 90]:=00000H;(*13*)
 Dat[ 91]:=00000H; Dat[ 92]:=03F18H; Dat[ 93]:=03FFFH; Dat[ 94]:=0FFFFH;
 Dat[ 95]:=0FFFCH; Dat[ 96]:=018FCH; Dat[ 97]:=00000H;(*14*)
 Dat[ 98]:=00000H; Dat[ 99]:=03F88H; Dat[100]:=03FFFH; Dat[101]:=0FFFFH;
 Dat[102]:=0FFFCH; Dat[103]:=011FCH; Dat[104]:=00000H;(*15*)
 Dat[105]:=00000H; Dat[106]:=03FC0H; Dat[107]:=03FFFH; Dat[108]:=0FFFFH;
 Dat[109]:=0FFFCH; Dat[110]:=003FCH; Dat[111]:=00000H;(*16*)
 Dat[112]:=00000H; Dat[113]:=03FE0H; Dat[114]:=03FFFH; Dat[115]:=0FFFFH;
 Dat[116]:=0FFFCH; Dat[117]:=007FCH; Dat[118]:=00000H;(*17*)
 Dat[119]:=00000H; Dat[120]:=03FF0H; Dat[121]:=03FFFH; Dat[122]:=0FFFFH;
 Dat[123]:=0FFFCH; Dat[124]:=00FFCH; Dat[125]:=00000H;(*18*)
 Dat[126]:=00000H; Dat[127]:=03FF8H; Dat[128]:=03FFFH; Dat[129]:=0FFFFH;
 Dat[130]:=0FFFCH; Dat[131]:=01FFCH; Dat[132]:=00000H;(*19*)
 Dat[133]:=00000H; Dat[134]:=03FF0H; Dat[135]:=03FFFH; Dat[136]:=0FFFFH;
 Dat[137]:=0FFFCH; Dat[138]:=00FFCH; Dat[139]:=00000H;(*20*)
 Dat[140]:=00000H; Dat[141]:=03FE0H; Dat[142]:=03FFFH; Dat[143]:=0FFFFH;
 Dat[144]:=0FFFCH; Dat[145]:=007FCH; Dat[146]:=00000H;(*21*)
 Dat[147]:=00000H; Dat[148]:=03FC0H; Dat[149]:=03FFFH; Dat[150]:=0FFFFH;
 Dat[151]:=0FFFCH; Dat[152]:=003FCH; Dat[153]:=00000H;(*22*)
 Dat[154]:=00000H; Dat[155]:=03F88H; Dat[156]:=03FFFH; Dat[157]:=0FFFFH;
 Dat[158]:=0FFFCH; Dat[159]:=011FCH; Dat[160]:=00000H;(*23*)
 Dat[161]:=00000H; Dat[162]:=03F18H; Dat[163]:=03FFFH; Dat[164]:=0FFFFH;
 Dat[165]:=0FFFCH; Dat[166]:=018FCH; Dat[167]:=00000H;(*24*)
 Dat[168]:=00000H; Dat[169]:=03E38H; Dat[170]:=03FFFH; Dat[171]:=0FFFFH;
 Dat[172]:=0FFFCH; Dat[173]:=01C7CH; Dat[174]:=00000H;(*25*)
 Dat[175]:=00000H; Dat[176]:=03C78H; Dat[177]:=03FFFH; Dat[178]:=0FFFFH;
 Dat[179]:=0FFFCH; Dat[180]:=01E3CH; Dat[181]:=00000H;(*26*)
 Dat[182]:=00000H; Dat[183]:=038F0H; Dat[184]:=03FFFH; Dat[185]:=0FFFFH;
 Dat[186]:=0FFFCH; Dat[187]:=00F1CH; Dat[188]:=00000H;(*27*)
 Dat[189]:=00000H; Dat[190]:=031E0H; Dat[191]:=03FFFH; Dat[192]:=0FFFFH;
 Dat[193]:=0FFFCH; Dat[194]:=0078CH; Dat[195]:=00000H;(*28*)
 Dat[196]:=00000H; Dat[197]:=021C0H; Dat[198]:=03FFFH; Dat[199]:=0FFFFH;
 Dat[200]:=0FFFCH; Dat[201]:=00384H; Dat[202]:=00000H;(*29*)
 Dat[203]:=00000H; Dat[204]:=00180H; Dat[205]:=03FFFH; Dat[206]:=0FFFFH;
 Dat[207]:=0FFFCH; Dat[208]:=00180H; Dat[209]:=00000H;(*30*)
 Dat[210]:=00000H; Dat[211]:=00100H; Dat[212]:=00000H; Dat[213]:=00000H;
 Dat[214]:=00000H; Dat[215]:=00080H; Dat[216]:=00000H;(*31*)
 Dat[217]:=00000H; Dat[218]:=00000H; Dat[219]:=00000H; Dat[220]:=00000H;
 Dat[221]:=00000H; Dat[222]:=00000H; Dat[223]:=00000H;(*32*)
 Dat[224]:=00000H; Dat[225]:=00000H; Dat[226]:=00000H; Dat[227]:=00000H;
 Dat[228]:=00000H; Dat[229]:=00000H; Dat[230]:=00000H;(*33*)
 Dat[231]:=00000H; Dat[232]:=00000H; Dat[233]:=00000H; Dat[234]:=00000H;
 Dat[235]:=00000H; Dat[236]:=00000H; Dat[237]:=00000H;(*34*)
 Dat[238]:=00000H; Dat[239]:=00000H; Dat[240]:=00000H; Dat[241]:=00000H;
 Dat[242]:=00000H; Dat[243]:=00000H; Dat[244]:=00000H;(*35*)

  (* Plane 2 *)
 Dat[245]:=00000H; Dat[246]:=00000H; Dat[247]:=00000H; Dat[248]:=00000H;
 Dat[249]:=00000H; Dat[250]:=00000H; Dat[251]:=00000H;(* 1*)
 Dat[252]:=00000H; Dat[253]:=00007H; Dat[254]:=0FFFFH; Dat[255]:=0FFFFH;
 Dat[256]:=0FFFFH; Dat[257]:=0E000H; Dat[258]:=00000H;(* 2*)
 Dat[259]:=00000H; Dat[260]:=00007H; Dat[261]:=0FFFFH; Dat[262]:=0FFFFH;
 Dat[263]:=0FFFFH; Dat[264]:=0E000H; Dat[265]:=00000H;(* 3*)
 Dat[266]:=00000H; Dat[267]:=0C107H; Dat[268]:=0FFFFH; Dat[269]:=0FFFFH;
 Dat[270]:=0FFFFH; Dat[271]:=0E083H; Dat[272]:=00000H;(* 4*)
 Dat[273]:=00001H; Dat[274]:=0E187H; Dat[275]:=0FFFFH; Dat[276]:=0FFFFH;
 Dat[277]:=0FFFFH; Dat[278]:=0E187H; Dat[279]:=08000H;(* 5*)
 Dat[280]:=00003H; Dat[281]:=0F1C7H; Dat[282]:=0FFFFH; Dat[283]:=0FFFFH;
 Dat[284]:=0FFFFH; Dat[285]:=0E38FH; Dat[286]:=0C000H;(* 6*)
 Dat[287]:=00007H; Dat[288]:=078E7H; Dat[289]:=0C000H; Dat[290]:=00000H;
 Dat[291]:=00003H; Dat[292]:=0E71DH; Dat[293]:=0E000H;(* 7*)
 Dat[294]:=0000FH; Dat[295]:=03C77H; Dat[296]:=0C000H; Dat[297]:=00000H;
 Dat[298]:=00003H; Dat[299]:=0EE3CH; Dat[300]:=0F000H;(* 8*)
 Dat[301]:=0001EH; Dat[302]:=01E3FH; Dat[303]:=0C000H; Dat[304]:=00000H;
 Dat[305]:=00003H; Dat[306]:=0FC78H; Dat[307]:=07800H;(* 9*)
 Dat[308]:=0003CH; Dat[309]:=00E1FH; Dat[310]:=0C000H; Dat[311]:=00000H;
 Dat[312]:=00003H; Dat[313]:=0F870H; Dat[314]:=03C00H;(*10*)
 Dat[315]:=00078H; Dat[316]:=0070FH; Dat[317]:=0C000H; Dat[318]:=00000H;
 Dat[319]:=00003H; Dat[320]:=0F0E0H; Dat[321]:=01E00H;(*11*)
 Dat[322]:=000F0H; Dat[323]:=00387H; Dat[324]:=0C000H; Dat[325]:=00000H;
 Dat[326]:=00003H; Dat[327]:=0E1C0H; Dat[328]:=00F00H;(*12*)
 Dat[329]:=001E0H; Dat[330]:=001C7H; Dat[331]:=0C000H; Dat[332]:=00000H;
 Dat[333]:=00003H; Dat[334]:=0E380H; Dat[335]:=00780H;(*13*)
 Dat[336]:=003C0H; Dat[337]:=000E7H; Dat[338]:=0C000H; Dat[339]:=00000H;
 Dat[340]:=00003H; Dat[341]:=0E700H; Dat[342]:=003C0H;(*14*)
 Dat[343]:=00780H; Dat[344]:=00077H; Dat[345]:=0C000H; Dat[346]:=00000H;
 Dat[347]:=00003H; Dat[348]:=0EE00H; Dat[349]:=001E0H;(*15*)
 Dat[350]:=00F00H; Dat[351]:=0003FH; Dat[352]:=0C000H; Dat[353]:=00000H;
 Dat[354]:=00003H; Dat[355]:=0FC00H; Dat[356]:=000F0H;(*16*)
 Dat[357]:=01E00H; Dat[358]:=0001FH; Dat[359]:=0C000H; Dat[360]:=00000H;
 Dat[361]:=00003H; Dat[362]:=0F800H; Dat[363]:=00078H;(*17*)
 Dat[364]:=03C00H; Dat[365]:=0000FH; Dat[366]:=0C000H; Dat[367]:=00000H;
 Dat[368]:=00003H; Dat[369]:=0F000H; Dat[370]:=0003CH;(*18*)
 Dat[371]:=07800H; Dat[372]:=00007H; Dat[373]:=0C000H; Dat[374]:=00000H;
 Dat[375]:=00003H; Dat[376]:=0E000H; Dat[377]:=0001EH;(*19*)
 Dat[378]:=03C00H; Dat[379]:=0000FH; Dat[380]:=0C000H; Dat[381]:=00000H;
 Dat[382]:=00003H; Dat[383]:=0F000H; Dat[384]:=0003CH;(*20*)
 Dat[385]:=01E00H; Dat[386]:=0001FH; Dat[387]:=0C000H; Dat[388]:=00000H;
 Dat[389]:=00003H; Dat[390]:=0F800H; Dat[391]:=00078H;(*21*)
 Dat[392]:=00F00H; Dat[393]:=0003FH; Dat[394]:=0C000H; Dat[395]:=00000H;
 Dat[396]:=00003H; Dat[397]:=0FC00H; Dat[398]:=000F0H;(*22*)
 Dat[399]:=00780H; Dat[400]:=00077H; Dat[401]:=0C000H; Dat[402]:=00000H;
 Dat[403]:=00003H; Dat[404]:=0EE00H; Dat[405]:=001E0H;(*23*)
 Dat[406]:=003C0H; Dat[407]:=000E7H; Dat[408]:=0C000H; Dat[409]:=00000H;
 Dat[410]:=00003H; Dat[411]:=0E700H; Dat[412]:=003C0H;(*24*)
 Dat[413]:=001E0H; Dat[414]:=001C7H; Dat[415]:=0C000H; Dat[416]:=00000H;
 Dat[417]:=00003H; Dat[418]:=0E380H; Dat[419]:=00780H;(*25*)
 Dat[420]:=000F0H; Dat[421]:=00387H; Dat[422]:=0C000H; Dat[423]:=00000H;
 Dat[424]:=00003H; Dat[425]:=0E1C0H; Dat[426]:=00F00H;(*26*)
 Dat[427]:=00078H; Dat[428]:=0070FH; Dat[429]:=0C000H; Dat[430]:=00000H;
 Dat[431]:=00003H; Dat[432]:=0F0E0H; Dat[433]:=01E00H;(*27*)
 Dat[434]:=0003CH; Dat[435]:=00E1FH; Dat[436]:=0C000H; Dat[437]:=00000H;
 Dat[438]:=00003H; Dat[439]:=0F870H; Dat[440]:=03C00H;(*28*)
 Dat[441]:=0001EH; Dat[442]:=01E3FH; Dat[443]:=0C000H; Dat[444]:=00000H;
 Dat[445]:=00003H; Dat[446]:=0FC78H; Dat[447]:=07800H;(*29*)
 Dat[448]:=0000FH; Dat[449]:=03C77H; Dat[450]:=0C000H; Dat[451]:=00000H;
 Dat[452]:=00003H; Dat[453]:=0EE3CH; Dat[454]:=0F000H;(*30*)
 Dat[455]:=00007H; Dat[456]:=038E7H; Dat[457]:=0FFFFH; Dat[458]:=0FFFFH;
 Dat[459]:=0FFFFH; Dat[460]:=0E71DH; Dat[461]:=0E000H;(*31*)
 Dat[462]:=00003H; Dat[463]:=0B1C7H; Dat[464]:=0FFFFH; Dat[465]:=0FFFFH;
 Dat[466]:=0FFFFH; Dat[467]:=0E38FH; Dat[468]:=0C000H;(*32*)
 Dat[469]:=00001H; Dat[470]:=0E187H; Dat[471]:=0FFFFH; Dat[472]:=0FFFFH;
 Dat[473]:=0FFFFH; Dat[474]:=0E187H; Dat[475]:=08000H;(*33*)
 Dat[476]:=00000H; Dat[477]:=0C107H; Dat[478]:=0FFFFH; Dat[479]:=0FFFFH;
 Dat[480]:=0FFFFH; Dat[481]:=0E083H; Dat[482]:=00000H;(*34*)
 Dat[483]:=00000H; Dat[484]:=00007H; Dat[485]:=0FFFFH; Dat[486]:=0FFFFH;
 Dat[487]:=0FFFFH; Dat[488]:=0E000H; Dat[489]:=00000H;(*35*)

  (* Plane 3 *)
 Dat[490]:=00000H; Dat[491]:=00000H; Dat[492]:=00000H; Dat[493]:=00000H;
 Dat[494]:=00000H; Dat[495]:=00000H; Dat[496]:=00000H;(* 1*)
 Dat[497]:=00000H; Dat[498]:=00007H; Dat[499]:=0FFFFH; Dat[500]:=0FFFFH;
 Dat[501]:=0FFFFH; Dat[502]:=0E000H; Dat[503]:=00000H;(* 2*)
 Dat[504]:=00000H; Dat[505]:=00007H; Dat[506]:=0FFFFH; Dat[507]:=0FFFFH;
 Dat[508]:=0FFFFH; Dat[509]:=0E000H; Dat[510]:=00000H;(* 3*)
 Dat[511]:=00000H; Dat[512]:=0C107H; Dat[513]:=0FFFFH; Dat[514]:=0FFFFH;
 Dat[515]:=0FFFFH; Dat[516]:=0E083H; Dat[517]:=00000H;(* 4*)
 Dat[518]:=00001H; Dat[519]:=0E187H; Dat[520]:=0FFFFH; Dat[521]:=0FFFFH;
 Dat[522]:=0FFFFH; Dat[523]:=0E187H; Dat[524]:=08000H;(* 5*)
 Dat[525]:=00003H; Dat[526]:=0F1C7H; Dat[527]:=0FFFFH; Dat[528]:=0FFFFH;
 Dat[529]:=0FFFFH; Dat[530]:=0E38FH; Dat[531]:=0C000H;(* 6*)
 Dat[532]:=00007H; Dat[533]:=0F9E7H; Dat[534]:=0FFFFH; Dat[535]:=0FFFFH;
 Dat[536]:=0FFFFH; Dat[537]:=0E79DH; Dat[538]:=0E000H;(* 7*)
 Dat[539]:=0000FH; Dat[540]:=0BDF7H; Dat[541]:=0FFFFH; Dat[542]:=0FFFFH;
 Dat[543]:=0FFFFH; Dat[544]:=0EFBDH; Dat[545]:=0F000H;(* 8*)
 Dat[546]:=0001FH; Dat[547]:=0BFFFH; Dat[548]:=0FFFFH; Dat[549]:=0FFFFH;
 Dat[550]:=0FFFFH; Dat[551]:=0FFFDH; Dat[552]:=0F800H;(* 9*)
 Dat[553]:=0003FH; Dat[554]:=0BFFFH; Dat[555]:=0FFFFH; Dat[556]:=0FFFFH;
 Dat[557]:=0FFFFH; Dat[558]:=0FFFDH; Dat[559]:=0FC00H;(*10*)
 Dat[560]:=0007FH; Dat[561]:=0BFFFH; Dat[562]:=0FFFFH; Dat[563]:=0FFFFH;
 Dat[564]:=0FFFFH; Dat[565]:=0FFFDH; Dat[566]:=0FE00H;(*11*)
 Dat[567]:=000FFH; Dat[568]:=0BFFFH; Dat[569]:=0FFFFH; Dat[570]:=0FFFFH;
 Dat[571]:=0FFFFH; Dat[572]:=0FFFDH; Dat[573]:=0FF00H;(*12*)
 Dat[574]:=001FFH; Dat[575]:=0BFFFH; Dat[576]:=0FFFFH; Dat[577]:=0FFFFH;
 Dat[578]:=0FFFFH; Dat[579]:=0FFFDH; Dat[580]:=0FF80H;(*13*)
 Dat[581]:=003FFH; Dat[582]:=0BFFFH; Dat[583]:=0FFFFH; Dat[584]:=0FFFFH;
 Dat[585]:=0FFFFH; Dat[586]:=0FFFDH; Dat[587]:=0FFC0H;(*14*)
 Dat[588]:=007FFH; Dat[589]:=0BFFFH; Dat[590]:=0FFFFH; Dat[591]:=0FFFFH;
 Dat[592]:=0FFFFH; Dat[593]:=0FFFDH; Dat[594]:=0FFE0H;(*15*)
 Dat[595]:=00FFFH; Dat[596]:=0BFFFH; Dat[597]:=0FFFFH; Dat[598]:=0FFFFH;
 Dat[599]:=0FFFFH; Dat[600]:=0FFFDH; Dat[601]:=0FFF0H;(*16*)
 Dat[602]:=01FFFH; Dat[603]:=0BFFFH; Dat[604]:=0FFFFH; Dat[605]:=0FFFFH;
 Dat[606]:=0FFFFH; Dat[607]:=0FFFDH; Dat[608]:=0FFF8H;(*17*)
 Dat[609]:=03FFFH; Dat[610]:=0BFFFH; Dat[611]:=0FFFFH; Dat[612]:=0FFFFH;
 Dat[613]:=0FFFFH; Dat[614]:=0FFFDH; Dat[615]:=0FFFCH;(*18*)
 Dat[616]:=07FFFH; Dat[617]:=0BFFFH; Dat[618]:=0FFFFH; Dat[619]:=0FFFFH;
 Dat[620]:=0FFFFH; Dat[621]:=0FFFDH; Dat[622]:=0FFFEH;(*19*)
 Dat[623]:=03FFFH; Dat[624]:=0BFFFH; Dat[625]:=0FFFFH; Dat[626]:=0FFFFH;
 Dat[627]:=0FFFFH; Dat[628]:=0FFFDH; Dat[629]:=0FFFCH;(*20*)
 Dat[630]:=01FFFH; Dat[631]:=0BFFFH; Dat[632]:=0FFFFH; Dat[633]:=0FFFFH;
 Dat[634]:=0FFFFH; Dat[635]:=0FFFDH; Dat[636]:=0FFF8H;(*21*)
 Dat[637]:=00FFFH; Dat[638]:=0BFFFH; Dat[639]:=0FFFFH; Dat[640]:=0FFFFH;
 Dat[641]:=0FFFFH; Dat[642]:=0FFFDH; Dat[643]:=0FFF0H;(*22*)
 Dat[644]:=007FFH; Dat[645]:=0BFFFH; Dat[646]:=0FFFFH; Dat[647]:=0FFFFH;
 Dat[648]:=0FFFFH; Dat[649]:=0FFFDH; Dat[650]:=0FFE0H;(*23*)
 Dat[651]:=003FFH; Dat[652]:=0BFFFH; Dat[653]:=0FFFFH; Dat[654]:=0FFFFH;
 Dat[655]:=0FFFFH; Dat[656]:=0FFFDH; Dat[657]:=0FFC0H;(*24*)
 Dat[658]:=001FFH; Dat[659]:=0BFFFH; Dat[660]:=0FFFFH; Dat[661]:=0FFFFH;
 Dat[662]:=0FFFFH; Dat[663]:=0FFFDH; Dat[664]:=0FF80H;(*25*)
 Dat[665]:=000FFH; Dat[666]:=0BFFFH; Dat[667]:=0FFFFH; Dat[668]:=0FFFFH;
 Dat[669]:=0FFFFH; Dat[670]:=0FFFDH; Dat[671]:=0FF00H;(*26*)
 Dat[672]:=0007FH; Dat[673]:=0BFFFH; Dat[674]:=0FFFFH; Dat[675]:=0FFFFH;
 Dat[676]:=0FFFFH; Dat[677]:=0FFFDH; Dat[678]:=0FE00H;(*27*)
 Dat[679]:=0003FH; Dat[680]:=0BFFFH; Dat[681]:=0FFFFH; Dat[682]:=0FFFFH;
 Dat[683]:=0FFFFH; Dat[684]:=0FFFDH; Dat[685]:=0FC00H;(*28*)
 Dat[686]:=0001FH; Dat[687]:=0BFFFH; Dat[688]:=0FFFFH; Dat[689]:=0FFFFH;
 Dat[690]:=0FFFFH; Dat[691]:=0FFFDH; Dat[692]:=0F800H;(*29*)
 Dat[693]:=0000FH; Dat[694]:=0BDF7H; Dat[695]:=0FFFFH; Dat[696]:=0FFFFH;
 Dat[697]:=0FFFFH; Dat[698]:=0EFBDH; Dat[699]:=0F000H;(*30*)
 Dat[700]:=00007H; Dat[701]:=0B9E7H; Dat[702]:=0FFFFH; Dat[703]:=0FFFFH;
 Dat[704]:=0FFFFH; Dat[705]:=0E79DH; Dat[706]:=0E000H;(*31*)
 Dat[707]:=00003H; Dat[708]:=0B1C7H; Dat[709]:=0FFFFH; Dat[710]:=0FFFFH;
 Dat[711]:=0FFFFH; Dat[712]:=0E38FH; Dat[713]:=0C000H;(*32*)
 Dat[714]:=00001H; Dat[715]:=0E187H; Dat[716]:=0FFFFH; Dat[717]:=0FFFFH;
 Dat[718]:=0FFFFH; Dat[719]:=0E187H; Dat[720]:=08000H;(*33*)
 Dat[721]:=00000H; Dat[722]:=0C107H; Dat[723]:=0FFFFH; Dat[724]:=0FFFFH;
 Dat[725]:=0FFFFH; Dat[726]:=0E083H; Dat[727]:=00000H;(*34*)
 Dat[728]:=00000H; Dat[729]:=00007H; Dat[730]:=0FFFFH; Dat[731]:=0FFFFH;
 Dat[732]:=0FFFFH; Dat[733]:=0E000H; Dat[734]:=00000H;(*35*)

  (* Plane 4 *)
 Dat[735]:=00000H; Dat[736]:=00000H; Dat[737]:=00000H; Dat[738]:=00000H;
 Dat[739]:=00000H; Dat[740]:=00000H; Dat[741]:=00000H;(* 1*)
 Dat[742]:=00000H; Dat[743]:=00000H; Dat[744]:=00000H; Dat[745]:=00000H;
 Dat[746]:=00000H; Dat[747]:=00000H; Dat[748]:=00000H;(* 2*)
 Dat[749]:=00000H; Dat[750]:=00000H; Dat[751]:=00000H; Dat[752]:=00000H;
 Dat[753]:=00000H; Dat[754]:=00000H; Dat[755]:=00000H;(* 3*)
 Dat[756]:=00000H; Dat[757]:=00000H; Dat[758]:=00000H; Dat[759]:=00000H;
 Dat[760]:=00000H; Dat[761]:=00000H; Dat[762]:=00000H;(* 4*)
 Dat[763]:=00000H; Dat[764]:=00000H; Dat[765]:=00000H; Dat[766]:=00000H;
 Dat[767]:=00000H; Dat[768]:=00000H; Dat[769]:=00000H;(* 5*)
 Dat[770]:=00000H; Dat[771]:=00000H; Dat[772]:=00000H; Dat[773]:=00000H;
 Dat[774]:=00000H; Dat[775]:=00000H; Dat[776]:=00000H;(* 6*)
 Dat[777]:=00000H; Dat[778]:=08000H; Dat[779]:=00000H; Dat[780]:=00000H;
 Dat[781]:=00000H; Dat[782]:=00000H; Dat[783]:=00000H;(* 7*)
 Dat[784]:=00000H; Dat[785]:=08000H; Dat[786]:=00000H; Dat[787]:=00000H;
 Dat[788]:=00000H; Dat[789]:=00001H; Dat[790]:=00000H;(* 8*)
 Dat[791]:=00001H; Dat[792]:=08000H; Dat[793]:=00000H; Dat[794]:=00000H;
 Dat[795]:=00000H; Dat[796]:=00001H; Dat[797]:=08000H;(* 9*)
 Dat[798]:=00003H; Dat[799]:=08000H; Dat[800]:=00000H; Dat[801]:=00000H;
 Dat[802]:=00000H; Dat[803]:=00001H; Dat[804]:=0C000H;(*10*)
 Dat[805]:=00007H; Dat[806]:=08000H; Dat[807]:=00000H; Dat[808]:=00000H;
 Dat[809]:=00000H; Dat[810]:=00001H; Dat[811]:=0E000H;(*11*)
 Dat[812]:=0000FH; Dat[813]:=08000H; Dat[814]:=00000H; Dat[815]:=00000H;
 Dat[816]:=00000H; Dat[817]:=00001H; Dat[818]:=0F000H;(*12*)
 Dat[819]:=0001FH; Dat[820]:=08000H; Dat[821]:=00000H; Dat[822]:=00000H;
 Dat[823]:=00000H; Dat[824]:=00001H; Dat[825]:=0F800H;(*13*)
 Dat[826]:=0003FH; Dat[827]:=08000H; Dat[828]:=00000H; Dat[829]:=00000H;
 Dat[830]:=00000H; Dat[831]:=00001H; Dat[832]:=0FC00H;(*14*)
 Dat[833]:=0007FH; Dat[834]:=08000H; Dat[835]:=00000H; Dat[836]:=00000H;
 Dat[837]:=00000H; Dat[838]:=00001H; Dat[839]:=0FE00H;(*15*)
 Dat[840]:=000FFH; Dat[841]:=08000H; Dat[842]:=00000H; Dat[843]:=00000H;
 Dat[844]:=00000H; Dat[845]:=00001H; Dat[846]:=0FF00H;(*16*)
 Dat[847]:=001FFH; Dat[848]:=08000H; Dat[849]:=00000H; Dat[850]:=00000H;
 Dat[851]:=00000H; Dat[852]:=00001H; Dat[853]:=0FF80H;(*17*)
 Dat[854]:=003FFH; Dat[855]:=08000H; Dat[856]:=00000H; Dat[857]:=00000H;
 Dat[858]:=00000H; Dat[859]:=00001H; Dat[860]:=0FFC0H;(*18*)
 Dat[861]:=007FFH; Dat[862]:=08000H; Dat[863]:=00000H; Dat[864]:=00000H;
 Dat[865]:=00000H; Dat[866]:=00001H; Dat[867]:=0FFE0H;(*19*)
 Dat[868]:=003FFH; Dat[869]:=08000H; Dat[870]:=00000H; Dat[871]:=00000H;
 Dat[872]:=00000H; Dat[873]:=00001H; Dat[874]:=0FFC0H;(*20*)
 Dat[875]:=001FFH; Dat[876]:=08000H; Dat[877]:=00000H; Dat[878]:=00000H;
 Dat[879]:=00000H; Dat[880]:=00001H; Dat[881]:=0FF80H;(*21*)
 Dat[882]:=000FFH; Dat[883]:=08000H; Dat[884]:=00000H; Dat[885]:=00000H;
 Dat[886]:=00000H; Dat[887]:=00001H; Dat[888]:=0FF00H;(*22*)
 Dat[889]:=0007FH; Dat[890]:=08000H; Dat[891]:=00000H; Dat[892]:=00000H;
 Dat[893]:=00000H; Dat[894]:=00001H; Dat[895]:=0FE00H;(*23*)
 Dat[896]:=0003FH; Dat[897]:=08000H; Dat[898]:=00000H; Dat[899]:=00000H;
 Dat[900]:=00000H; Dat[901]:=00001H; Dat[902]:=0FC00H;(*24*)
 Dat[903]:=0001FH; Dat[904]:=08000H; Dat[905]:=00000H; Dat[906]:=00000H;
 Dat[907]:=00000H; Dat[908]:=00001H; Dat[909]:=0F800H;(*25*)
 Dat[910]:=0000FH; Dat[911]:=08000H; Dat[912]:=00000H; Dat[913]:=00000H;
 Dat[914]:=00000H; Dat[915]:=00001H; Dat[916]:=0F000H;(*26*)
 Dat[917]:=00007H; Dat[918]:=08000H; Dat[919]:=00000H; Dat[920]:=00000H;
 Dat[921]:=00000H; Dat[922]:=00001H; Dat[923]:=0E000H;(*27*)
 Dat[924]:=00003H; Dat[925]:=08000H; Dat[926]:=00000H; Dat[927]:=00000H;
 Dat[928]:=00000H; Dat[929]:=00001H; Dat[930]:=0C000H;(*28*)
 Dat[931]:=00001H; Dat[932]:=08000H; Dat[933]:=00000H; Dat[934]:=00000H;
 Dat[935]:=00000H; Dat[936]:=00001H; Dat[937]:=08000H;(*29*)
 Dat[938]:=00000H; Dat[939]:=08000H; Dat[940]:=00000H; Dat[941]:=00000H;
 Dat[942]:=00000H; Dat[943]:=00001H; Dat[944]:=00000H;(*30*)
 Dat[945]:=00000H; Dat[946]:=08000H; Dat[947]:=00000H; Dat[948]:=00000H;
 Dat[949]:=00000H; Dat[950]:=00000H; Dat[951]:=00000H;(*31*)
 Dat[952]:=00000H; Dat[953]:=00000H; Dat[954]:=00000H; Dat[955]:=00000H;
 Dat[956]:=00000H; Dat[957]:=00000H; Dat[958]:=00000H;(*32*)
 Dat[959]:=00000H; Dat[960]:=00000H; Dat[961]:=00000H; Dat[962]:=00000H;
 Dat[963]:=00000H; Dat[964]:=00000H; Dat[965]:=00000H;(*33*)
 Dat[966]:=00000H; Dat[967]:=00000H; Dat[968]:=00000H; Dat[969]:=00000H;
 Dat[970]:=00000H; Dat[971]:=00000H; Dat[972]:=00000H;(*34*)
 Dat[973]:=00000H; Dat[974]:=00000H; Dat[975]:=00000H; Dat[976]:=00000H;
 Dat[977]:=00000H; Dat[978]:=00000H; Dat[979]:=00000H;(*35*)

END;
END PlusMinusImg.
