(**********************************************************************

:Program.    CrashTest
:Contens.    Testprogramm fr NewInOut
:Author.     Bernd Braun
:Address.    Lippestr. 11, D-3300 Braunschweig
:Phone.      0531/845498
:Copyright.  Public Domain
:Language.   Modula-2
:Translator. M2Amiga A+L V3.3d
:Imports.    NewInOut
:History.    V1.0 27.Sep.1989

***********************************************************************)

MODULE CrashTest;

   FROM Arts IMPORT
      Assert;
   FROM NewInOut IMPORT
      Open, FILE, ModeNew, WriteStringFile, WriteLnFile, WriteIntFile,
      WriteString, WriteLn, done, stdout, waitCloseGadget;
   FROM SYSTEM IMPORT
      ADR;

   VAR
      n   : INTEGER;
      out : FILE;

BEGIN
   waitCloseGadget := FALSE;
   (* Nicht auf abschlieendes ENTER warten. *)
   WriteString ( 'CrashTest' );
   WriteLn;
   WriteLn;
   WriteString ( "Don't Panik!" );
   WriteLn;
   n := 1;
   LOOP
      (* Endlosschleife bis Crash. *)
      out := Open ( "con:0/150/640/100/CrashTest", ModeNew );
      Assert ( done, ADR ( "Crash!" ) );
      WriteStringFile ( out, "Ich bin Window Nr. " );
      WriteIntFile    ( out, n, 1 );
      WriteLnFile     ( out );
      INC ( n );
   END;
END CrashTest.
