IMPLEMENTATION MODULE MathLib1;

FROM MathLib IMPORT
	REAL;

PROCEDURE max(a,b,c : REAL) : REAL;
BEGIN
  IF a>=b THEN
    IF a>=c THEN RETURN a
    ELSE RETURN c END
  ELSE
    IF b>=c THEN RETURN b
    ELSE RETURN c END
  END;
END max;

PROCEDURE abs ( x : REAL ) : REAL;
BEGIN
  IF (x<0.0) THEN RETURN -x
  ELSE RETURN x
  END;
END abs;

PROCEDURE GleichNull ( x : REAL ) : BOOLEAN;
BEGIN
  RETURN (abs(x) < Epsilon);
END GleichNull;

PROCEDURE Signum ( x : REAL ) : REAL;
BEGIN
  IF GleichNull(x) THEN RETURN 0.0
  ELSIF x<0.0 THEN RETURN -1.0
  ELSE RETURN 1.0
  END;
END Signum;

BEGIN
END MathLib1.
