(**********************************************************************

    :Program.    China.mod
    :Contents.   Translates a text to Chinese text
    :Author.     Will nich genannt werden (traut sich nich)
    :Address.    Unbekannt verzogen...
    :Copyright.  Buplik Tomain
    :Language.   Modula-2
    :Translator. M2Amiga A+L V3.2d
    :Imports.    InoutSupport
    :History.    V0.99

**********************************************************************)
MODULE China;

FROM FileSystem    IMPORT Lookup,ReadChar,WriteChar,Close,Response,
                          FileMode,FileModeSet,File;
FROM InOut         IMPORT WriteString,ReadString,Write,WriteLn;
FROM InOutSupport  IMPORT Style,StyleSet,SetStyle,ForeBackColor,CursorOn,
                          CursorOff,Farbe;
FROM Strings       IMPORT Length,Insert;

TYPE String=ARRAY[0..40] OF CHAR;

VAR ein,aus:File;
    EinName,AusName:String;
    Zeichen:CHAR;
    dummy:BOOLEAN;

PROCEDURE ErrorOut (Fehler:Response):BOOLEAN; 

VAR state:BOOLEAN;

BEGIN
 state:=TRUE;
  SetStyle(StyleSet{kursiv});
 CASE Fehler OF 
  |done:              WriteString('Job done');state:=FALSE;
  |notdone:           WriteString('Job not done');
  |lockErr:           WriteString('Lock error');
  |openErr:           WriteString('Open error');
  |readErr:           WriteString('Read error');
  |writeErr:          WriteString('Write error');
  |seekErr:           WriteString('Seek error');
  |memErr:            WriteString('Memory error');
  |inUse:             WriteString('In use');
  |notFound:          WriteString('Not Found');
  |diskWriteProtected:WriteString('Disk writeprotected');
  |deviceNotMounted:  WriteString('Not Mounted');
  |diskFull:          WriteString('Full error');
  |deleteProtected:   WriteString('File undeleteable');
  |writeProtected:    WriteString('File writeprotected');
  |notDosDisk:        WriteString('No DOS Disk');
  |noDisk:            WriteString('No Disk!')
 END;
 SetStyle(StyleSet{});
 WriteLn;
 RETURN state
END ErrorOut;
                        
BEGIN 
 ForeBackColor(schwarz,blau);
 CursorOff();
 WriteString('Deutsch --> China Ascii_Converter');
 WriteLn;
 WriteString('A development from');
 SetStyle(StyleSet{fett});
 WriteString(' Plof Doktel Leisblei ');
 SetStyle(StyleSet{}); 
 WriteString('(Fkt. f. Infolmatik)');
 WriteLn;
 LOOP
  WriteString('Please enter ');
  SetStyle(StyleSet{unterstrichen});
  WriteString('Filename');
  SetStyle(StyleSet{});
  WriteString(' ==> ');
  ReadString(EinName);
  WriteString('Allocating Sourcefile ');
  Lookup(ein,EinName,10000,FALSE);
  IF ErrorOut(ein.res) THEN EXIT END;      
  AusName:=EinName;
  Insert(AusName,Length(EinName),'.China');
  WriteString('Allocating Destinationfile ');
  Lookup(aus,AusName,10000,TRUE);
  IF ErrorOut(aus.res) THEN EXIT END;
  WHILE NOT(ein.eof) DO 
   ReadChar(ein,Zeichen);
   IF Zeichen='R' THEN Zeichen:='L' END;
   IF Zeichen='r' THEN Zeichen:='l' END;
   WriteChar(aus,Zeichen)
  END;
  WriteString('File converted');WriteLn;
  WriteString('Closing Source File ');
  Close(ein);
  dummy:=ErrorOut(ein.res);
  WriteString('Closing Destination File ');
  Close(aus);
  dummy:=ErrorOut(aus.res);
  EXIT
 END;
 ForeBackColor(weis,blau);
 CursorOn();
END China.
