IMPLEMENTATION MODULE InOutSupport;

FROM InOut       IMPORT WriteString,Write,WriteLn;
FROM Conversions IMPORT ValToStr;


CONST Esc=27;

TYPE  String=ARRAY[0..3] OF CHAR;

VAR   Fo,Ba:Farbe;     
            
                        
PROCEDURE SetStyle (Form:StyleSet);

VAR lauf:Style;
    command:String;
 
BEGIN
 command:=' [0m';
 command[0]:=CHAR(Esc);
 WriteString(command);
 ForeBackColor(Fo,Ba);(*Alte Farbe wieder herstellen*)
 FOR lauf:=kursiv TO invers DO 
  IF lauf IN Form THEN 
   CASE lauf OF 
    |kursiv        :command[2]:=CHAR('3');
    |fett          :command[2]:=CHAR('1');
    |unterstrichen :command[2]:=CHAR('4');
    |invers        :command[2]:=CHAR('7')
   END;
   WriteString(command)
  END
 END
END SetStyle;


PROCEDURE CursorOn();

VAR command:String;

BEGIN 
 command:=' [ p';
 command[0]:=CHAR(Esc); 
 WriteString(command)
END CursorOn; 


PROCEDURE CursorOff();

VAR command:ARRAY[0..4] OF CHAR;

BEGIN 
 command:=' [0 p';
 command[0]:=CHAR(Esc);
 WriteString(command)
END CursorOff;


PROCEDURE CursorPos(x,y:INTEGER);
 
VAR ziff,command:String;
    d,err:BOOLEAN;
    
BEGIN 
 command:=' [';
 command[0]:=CHAR(Esc);
 WriteString(command);
 ValToStr(LONGINT(y),d,ziff,10,-2,' ',err);
 Write(ziff[0]);
 IF (y>9) THEN Write(ziff[1]) END;
 WriteString(';');
 ValToStr(LONGINT(x),d,ziff,10,-2,' ',err);
 Write(ziff[0]);
 IF (x>9) THEN Write(ziff[1]) END;
 Write('H');
END CursorPos; 

PROCEDURE CursorVert(n:INTEGER);

VAR ziff,command:String;
    d,err:BOOLEAN;
    
BEGIN
 command:=' [';
 command[0]:=CHAR(Esc);
 WriteString(command);
 ValToStr(LONGINT(ABS(n)),d,ziff,10,-2,' ',err);
 Write(ziff[0]);
 IF (ABS(n)>9) THEN Write(ziff[1]) END;
 IF (n>0) THEN 
  Write('B')
 ELSE
  Write('A')
 END
END CursorVert;

PROCEDURE CursorHori(n:INTEGER);
 
VAR command,ziff:String;
    d,err:BOOLEAN;

BEGIN 
 command:=' [';
 command[0]:=CHAR(Esc);
 WriteString(command);
 ValToStr(LONGINT(ABS(n)),d,ziff,10,-2,' ',err);
 Write(ziff[0]);
 IF (ABS(n)>9) THEN Write(ziff[1]) END;
 IF (n>0) THEN 
  Write('C')
 ELSE
  Write('D')
 END
END CursorHori; 

PROCEDURE ForeBackColor(fore,back:Farbe);

VAR command:String;

BEGIN
 Fo:=fore; (* Achtung Zugriff auf globale Variablen *)
 Ba:=back; (* Farben werden in den Variablen Fo und Ba gespeichert *)
 command:=' [0;';
 command[0]:=CHAR(Esc);
 WriteString(command);
 CASE fore OF 
  |blau    :WriteString('30');
  |weis    :WriteString('31');   
  |schwarz :WriteString('32');
  |orange  :WriteString('33')                   
 END;
 Write(';');
 CASE back OF 
  |blau    :WriteString('40');
  |weis    :WriteString('41');
  |schwarz :WriteString('42');
  |orange  :WriteString('43')
 END;
 Write('m');
END ForeBackColor;  

PROCEDURE ClearWindow();

BEGIN 
 WriteString(CHAR(12))
END ClearWindow;    
            
BEGIN
 Fo:=weis;
 Ba:=blau;
END InOutSupport.
