(*-------------------------------------------------------------------------
:Program.       Memory.mod
:Contents.      Prozedure zum Kopieren von Daten in's CHIP-Mem
:Author.        Christian Stiens
:Address.       Heustiege 2, D-4710 Ldinghausen
:Phone.         02591/6299
:Copyright.     PD
:Language.      Modula-2
:Translator.    M2Amiga V3.3d,  AMSoft
:History.       V1.0, 17-Jul-90
-------------------------------------------------------------------------*)

IMPLEMENTATION MODULE Memory;

  FROM SYSTEM IMPORT LONGSET,ADR,ADDRESS;
  FROM Exec   IMPORT CopyMem;
  FROM Heap   IMPORT AllocMem;

  PROCEDURE ToChipMem(adr:ADDRESS; size:LONGINT): ADDRESS;
    VAR newadr: ADDRESS;
  BEGIN
    AllocMem(newadr,size,TRUE);
    IF adr=NIL THEN RETURN NIL END;
    CopyMem(adr,newadr,size);
    RETURN newadr;
  END ToChipMem;

END Memory.
