(*-------------------------------------------------------------------------
:Program.       ImageDemo.mod
:Contents.      Demo for `IntuiSupport'
:Author.        Christian Stiens
:Address.       Heustiege 2, D-4710 Ldinghausen
:Phone.         02591/6299
:Copyright.     PD
:Language.      Modula-2
:Translator.    M2Amiga V3.3d,  AMSoft
:Imports.       IntuiSupport V1.1
-------------------------------------------------------------------------*)

MODULE ImageDemo;

  FROM IntuiSupport IMPORT
    CreateWindow,ToChipMem,CreateImage,stdWin,stdIdcmp,GetIMes;
  FROM SYSTEM IMPORT
    INLINE,ADR;
  IMPORT Intuition,Graphics;

  VAR
    im  : Intuition.ImagePtr;
    win : Intuition.WindowPtr;
    mes : Intuition.IntuiMessage;
    rp  : Graphics.RastPortPtr;
    x,y : INTEGER;

  PROCEDURE Smily; (* $E- *)
  BEGIN INLINE(
    0003FH, 0FC00H,
    003FFH, 0FFC0H,
    00FFFH, 0FFF0H,
    01FFFH, 0FFF8H,
    07FFFH, 0FFFEH,
    07FC3H, 0E1FEH,
    0FFC3H, 0E1FFH,
    0FFFFH, 0FFFFH,
    0FFFFH, 0FFFFH,
    0FDFFH, 0FFBFH,
    07E7FH, 0FF7EH,
    07F8FH, 0F8FEH,
    01FF0H, 007F8H,
    00FFFH, 0FFF0H,
    003FFH, 0FFC0H,
    0003FH, 0FC00H)
  END Smily;

BEGIN
  win := CreateWindow(ADR("ImageDemo"),0,0,640,200,NIL,stdWin,stdIdcmp);
  IF win#NIL THEN
    rp := win^.rPort;
    im := CreateImage(0,0,32,16,1,ToChipMem(ADR(Smily),16*4,TRUE),{0},{});
    FOR y := 0 TO 200 BY 20 DO
      FOR x := 0 TO 640 BY 40 DO
        Intuition.DrawImage(rp,im,x,y);
      END
    END;
    GetIMes(win,mes,TRUE);
    Intuition.CloseWindow(win);
  END
END ImageDemo.
