(*
 * -------------------------------------------------------------------------
 *
 *	:Program.	ConTest
 *	:Contents.	Demonstration der ConTools.
 *	:Author.	Reiner Nix
 *	:Address.	Geranienhof 2, 5000 Kln 71 Seeberg
 *	:Copyright.	Public Domain
 *	:Language.	Modula-2
 *	:Translator.	M2Amiga A-L V3.3d
 *	:History.	V1.0	21.11.90
 *	:Imports.	ConTools un sons nix.
 *
 * -------------------------------------------------------------------------
 *)
MODULE ConTest;

FROM	ConTools	IMPORT	TZeile, TMenue, TBereich,
				TZeichen, TZeichenMenge,
				Status, TStatus, Kommentar,
				DefiniereZeile, DefiniereBereich, DefiniereMenue,
				LoescheAusgabe, SetzePosition, BenutzeBereich,
				WriteString,
				MenueWahl, ZeichenWahl, Meldung, ZeilenWahl,
				ReadString, ReadInt;


VAR	Auswahl		:TMenue;
	EndeZeile	:TZeile;
	AuswahlBereich	:TBereich;

	Text		:ARRAY [0..50] OF CHAR;
	Z		:INTEGER;
	Zeichen		:CHAR;

BEGIN
DefiniereZeile (EndeZeile,
                1,3, TZeichenMenge {},
                " Programm beenden ",
                "   weitermachen   ",
                "    weis nicht    ", "","","","","","","");
DefiniereBereich (AuswahlBereich,
		  3,3,73,18, 1,2);
DefiniereMenue (Auswahl,
                1,5, 4,3, 5,6, AuswahlBereich,
                "  Test Auswahl  ",
                " ReadString Test  ",
                " ReadLongInt Test ",
                " ZeichenWahl Test ",
                " Meldung Test     ",
                "  Ende            ", "","","","","");
Text := "TestText";
Z := 7;
  REPEAT
    REPEAT
    MenueWahl (Auswahl, TRUE);
    CASE Auswahl.Wahl OF
    | 1:
      LoescheAusgabe;
      SetzePosition (5,5); WriteString ("Teste ReadString");
        REPEAT
        ReadString (30,5,30, TZeichenMenge {alleZeichen,Return..Funktion},
                    Text);
        BenutzeBereich (Kommentar);
        CASE Status OF
        |Normal		:WriteString ("Normal")
        |Ende		:WriteString ("Ende")
        |Zurueck	:WriteString ("Zurueck")
        |Hilfe		:WriteString ("Hilfe")
        |Funktion1	:WriteString ("Funktion1")
        |Funktion2	:WriteString ("Funktion2")
        |Funktion3	:WriteString ("Funktion3")
        |Funktion4	:WriteString ("Funktion4")
        |Funktion5	:WriteString ("Funktion5")
        |Funktion6	:WriteString ("Funktion6")
        |Funktion7	:WriteString ("Funktion7")
        |Funktion8	:WriteString ("Funktion8")
        |Funktion9	:WriteString ("Funktion9")
        |Funktion10	:WriteString ("Funktion10")
        |sFunktion1	:WriteString ("sFunktion1")
        |sFunktion2	:WriteString ("sFunktion2")
        |sFunktion3	:WriteString ("sFunktion3")
        |sFunktion4	:WriteString ("sFunktion4")
        |sFunktion5	:WriteString ("sFunktion5")
        |sFunktion6	:WriteString ("sFunktion6")
        |sFunktion7	:WriteString ("sFunktion7")
        |sFunktion8	:WriteString ("sFunktion8")
        |sFunktion9	:WriteString ("sFunktion9")
        |sFunktion10	:WriteString ("sFunktion10")
        |Oben		:WriteString ("Oben")
        |Unten		:WriteString ("Unten")
        |Rechts		:WriteString ("Rechts")
        |Links		:WriteString ("Links")
        |SeiteOben	:WriteString ("SeiteOben")
        |SeiteUnten	:WriteString ("SeiteUnten")
        ELSE
          END;
        BenutzeBereich (Auswahl.Bereich)
        UNTIL Status = Ende;
    | 2:
      LoescheAusgabe;
      SetzePosition (5,6); WriteString ("Test ReadLongInt");
      ReadInt (30,6,4, TZeichenMenge {}, Z)
    | 3:
      BenutzeBereich (Kommentar); LoescheAusgabe;
      ZeichenWahl (2,2, "Test Zeichenwahl", TZeichenMenge {JaNein}, Zeichen)
    | 4:
      BenutzeBereich (Kommentar); LoescheAusgabe;
      Meldung ("Test Meldung", TRUE)
    ELSE
      END
    UNTIL Auswahl.Wahl = Auswahl.Anzahl;
  BenutzeBereich (Kommentar);
  ZeilenWahl (2,2, EndeZeile);
  UNTIL EndeZeile.Wahl = 1
END ConTest.
