(**********************************************************************

:Program.    Sys.mod
:Contens.    Stellt 16-Bit Multiplikation und Logikal Shift nach rechts
:Contens.    d.h. Teilen durch 2 zur Verfgung.
:Author.     Bernd Braun
:Address.    Lippestr. 11, D-3300 Braunschweig
:Phone.      0531/845498
:Copyright.  Public Domain
:Language.   Oberon, Assembler
:Translator. Amiga Oberon A+L V1.17.1, DevPac Assembler 2
:History.    V1.0 1.Dez.1990

***********************************************************************)

(*
   Erzeugen von Sys.obj:
   -Assemblieren von Sys.ass z.B. Genim2 Sys.ass -l
   -Compilieren von Sys.mod
   -Join Sys.obj Sys.o as ram:Sys.obj
   -Copy ram:Sys.obj Sys.obj
   -OMake Apfelmenu
   Oder:
   -Assemblieren von Sys.ass z.B. Genim2 Sys.ass -l
   -Oberon IntuiSupport Sys Apfelmann Apfelmenu
   -OLink Apfelmenu OBJ sys.o
   Oder:
   Execute Apfelmenu.mke
*)

MODULE Sys;

   (* Multipliziert die zwei INTEGER x und y und liefert einen
      LONGINT zurck. *)
   PROCEDURE Mult* {"Mult"} ( x{0}, y{1} : INTEGER ) : LONGINT;

   (* Shiftet den LONGINT x um a Stellen nach rechts und liefert
      das Ergebnis als LONGINT. *)
   PROCEDURE RightShift* {"RightShift"} ( x{0}, a{1} : LONGINT ) : LONGINT;

END Sys.
