(*
  :Program.       RCTInterface.mod
  :Contents.      Example of an interface module for RCT
  :Author.        Volker Rudolph
  :Address.       Lettow-Vorbeck-Str. 11 / 6750 Kaiserslautern 26
  :Phone.         06301/8566
  :Copyright.     Freeware
  :Language.      Oberon
  :Translator.    Amiga-Oberon V1.17.1
  :Bugs.          No known Bugs.
*)
(* $Implementation- *)
MODULE RCTInterface;

IMPORT I:Intuition;

CONST
  REQ     * = 0;  (* Requester *)
  PIC2    * = 0;  (* Gadget *)
  PIC1    * = 1;  (* Gadget *)
  STRING  * = 2;  (* Gadget *)
  MENU    * = 0;  (* Menu *)

  IMAGENUM * = 2;  (* Number of different images in Req.c *)

VAR
  menu * ["_reqmenu"]:I.Menu;
  req * ["_req"]:I.Requester;
  image * ["_reqimage"]:I.Image;

PROCEDURE StartRequest * {"_reqstart"}(window:LONGINT):LONGINT;

END RCTInterface.
