MODULE TestSpeech;

IMPORT s:Speech,
       z:ZeichneGesicht;

VAR
  out     : ARRAY 1024 OF CHAR;
  Result  : LONGINT;
  i       : INTEGER;

BEGIN
  s.MouthProc := z.DrawMouths; (* Prozedur zum Zeichnen der Mundformen *)

  (* zuerst in Phoneme bersetzen *)
  Result := s.Translate(" 10 . 9. 8. 7. 6. 5. 4. 3. 2. 1. 0. Liftoff!",out);

  (* und dann aussprechen *)
  s.SayPhonemes(out,s.DefaultVoice);

  (* oder einfacher : alles zugleich *)
  s.Say("This is a little test of the module Speech!");

  (* und nun mit Frauenstimme *)
  s.DefaultVoice.sex := 1;
  s.DefaultVoice.pitch := 140;
  s.Say("Now i am speaking in a female voice.");

  (* langsam *)
  s.DefaultVoice.rate := 80 ;
  s.Say("I am speaking slowly now.");

  (* schnell *)
  s.DefaultVoice.rate := 200;
  s.Say("And This is rather fast!");

END TestSpeech.

















