MODULE ZeichneGesicht;


IMPORT
  s  : SYSTEM,
  g  : Graphics,
  i  : Intuition;

CONST
      H           = 140;
      B           = 210;
      MundX       =  62;
      MundY       =  100;
      MundBreite  =  B-2*MundX;
      MundHoehe   =  34;
      MundMitteX  =  MundX+(MundBreite DIV 2);
      MundMitteY  =  MundY+(MundHoehe DIV 2);
      AugeY       =  31;
      AugeLinksX  =  31;
      AugeRechtsX = 140;
      AugenBreite =  40;
      AugenHoehe  =  20;
      NaseX       =  95;
      NaseY       =  54;
      NasenHoehe  =  30;
      NasenBreite =  B-2*NaseX;

VAR  MundFenster              : i.WindowPtr;
     F                        : i.NewWindow;
     I                        : INTEGER;


PROCEDURE* DrawMouths* (Breite,Hoehe :INTEGER);
BEGIN
 Breite:=Breite * 2;
  g.SetAPen(MundFenster.rPort,1);
  g.RectFill
  (MundFenster.rPort,MundX,MundY,MundX+MundBreite,MundY+MundHoehe);
  g.SetAPen(MundFenster.rPort,3);
  g.Move(MundFenster.rPort,MundMitteX-Breite-10,MundMitteY);
  g.Draw(MundFenster.rPort,MundMitteX,MundMitteY-Hoehe);
  g.Draw(MundFenster.rPort,MundMitteX+Breite+10,MundMitteY);
  g.Draw(MundFenster.rPort,MundMitteX,MundMitteY+Hoehe);
  g.Draw(MundFenster.rPort,MundMitteX-Breite-10,MundMitteY);
END DrawMouths;


PROCEDURE OpenWindow;
BEGIN
  F.leftEdge  := 210;   ; F.topEdge := 12;
  F.width     := B; F.height := H;
  F.minWidth  := B; F.minHeight := H;
  F.maxWidth  := B; F.maxHeight := H;
  F.blockPen  := 3;
  F.detailPen := 1;
  F.idcmpFlags:= LONGSET{};
  F.flags     := LONGSET{i.windowDrag};
  F.title     := s.ADR(" MundFenster ");
  F.screen    := NIL ;
  F.type      := {i.wbenchScreen}  ;
  MundFenster := i.OpenWindow(F);
  IF MundFenster=NIL THEN HALT(20) END;
  g.SetAPen(MundFenster.rPort,1);
  g.RectFill(MundFenster.rPort,3,11,B-3,H-3);
  g.SetAPen(MundFenster.rPort,0);
  g.RectFill
  (MundFenster.rPort,AugeLinksX,AugeY,AugeLinksX+AugenBreite,AugeY+AugenHoehe);
  g.RectFill
  (MundFenster.rPort,AugeRechtsX,AugeY,AugeRechtsX+AugenBreite,AugeY+AugenHoehe);
  g.SetAPen(MundFenster.rPort,2);
  g.RectFill
  (MundFenster.rPort,NaseX,NaseY,NaseX+NasenBreite,NaseY+NasenHoehe);

END OpenWindow;

PROCEDURE CloseWindow;
BEGIN
  IF MundFenster # NIL THEN
   i.CloseWindow(MundFenster)
  END
END CloseWindow;

BEGIN
  MundFenster := NIL;
  OpenWindow;
CLOSE
  CloseWindow;;
END ZeichneGesicht.
