MODULE ColorTest;

FROM Arts IMPORT
         Assert, BreakPoint;
FROM Color IMPORT
         GraphModus, OpenGraphScreen;
FROM DosL IMPORT
   	 Delay;
FROM IntuitionD IMPORT
         ScreenPtr;
FROM IntuitionL IMPORT
         CloseScreen;
FROM GraphicsD IMPORT
         RastPortPtr;
FROM GraphicsL IMPORT
         RectFill, SetAPen;
FROM SYSTEM IMPORT
         ADR, BYTE;

VAR
    displayMode : GraphModus;
    screen      : ScreenPtr;

    farbe,
    clipper      :LONGINT;
    zeilenNr,
    xPos, yPos   : CARDINAL;

BEGIN
  FOR displayMode := LoRes TO LoResEx DO
    screen      :=  OpenGraphScreen(displayMode, 6, 0, TRUE);
    Assert(screen # NIL, ADR("Speicherplatz nicht ausreichend"));

    farbe := 0;
    yPos  := 0;

    FOR zeilenNr := 1 TO 4  DO
      INC(yPos, 50);
      FOR xPos := 0 TO 300 BY 20 DO
        WITH screen^ DO
          IF displayMode < HiRes THEN
            clipper := 4
          ELSIF displayMode < LoResHAM THEN
            clipper := 16
          ELSE
            clipper := 64
          END;
          SetAPen(ADR(rastPort), farbe MOD clipper);
          RectFill(ADR(rastPort), xPos, yPos, xPos+12, yPos+12);
        END;
        INC(farbe);
      END;
    END; (* zeilenNr *)

    Delay(50);

    CloseScreen(screen);
  END; (* displayMode *)
END ColorTest.


