(*
  :Program.       Printf
  :Author.        Volker Rudolph
  :Address.       Lettow-Vorbeck-Str. 11 / 6750 Kaiserslautern
  :Phone.         06301/8566
  :Version.       1.2
  :Date.          7.3.1990
  :Copyright.     PD
  :Language.      Assembler / Oberon
  :Translator.    A68k / Amiga-Oberon V1.17.1
  :Contents.      Allzweck-Textausgabe in Form der C-Funktion Printf
  :Usage.         Aufruf und Parameter wie in C
*)

MODULE PrintfTest;

IMPORT p:Printf,io,st:Strings,(* NoGuru,*)s:SYSTEM;

VAR
  string:ARRAY 80 OF CHAR;

BEGIN
  (* Damit das Programm auch von der Workbench aus luft *)
  p.writeProc := io.WriteString;

  p.Printf0("\[0;33;40m RED \[0;31;40m WHITE\n");

  string := "Teststring";
  p.Printf2("Der String %6.8s ist %ld Zeichen lang.\n",
             s.ADR(string),st.Length(string));

  string := "Test";
  p.Printf2("Der String %6.8s ist %ld Zeichen lang.\n",
             s.ADR(string),st.Length(string));

  p.SPrintf2(string,"Dezimal %3ld = Hex %04lxH.\n",456H,456H);
  p.writeProc(string);
END PrintfTest.
