; :Program.       RCT.s
; :Contents.      Assembler-functions for the module RCT
; :Author.        Volker Rudolph
; :Address.       Lettow-Vorbeck-Str. 11 / 6750 Kaiserslautern 26
; :Phone.         06301/8566
; :Copyright.     Freeware
; :Language.      Assembler
; :Translator.    A68k (Freeware)
; :History.       Version 1.0 - first public release
; :Bugs.          No known bugs.

  SECTION CODE

  XDEF _AllocMem,_Request,_InitRequester,_CCall,_IntuiBase

AllocMem      EQU -198
CopyMem       EQU -624
Request       EQU -240
InitRequester EQU -138

_AllocMem:
  move.l  a6,-(sp)
  move.l  8(sp),d0
  move.l  12(sp),d1
  move.l  4,a6
  jsr     AllocMem(a6)
  move.l  (sp)+,a6
  rts

_Request:
  move.l  a6,-(sp)
  move.l  8(sp),a0
  move.l  12(sp),a1
  move.l  _IntuiBase(pc),a6
  jsr     Request(a6)
  move.l  (sp)+,a6
  rts

_InitRequester:
  move.l  a6,-(sp)
  move.l  8(sp),a0
  move.l  _IntuiBase(pc),a6
  jsr     InitRequester(a6)
  move.l  (sp)+,a6
  rts

_CCall:
  move.l  8(sp),a0
  move.l  4(sp),-(sp)
  jsr     (a0)
  addq.l  #4,sp
  move.l  (sp)+,a0
  addq.l  #8,sp
  jmp     (a0)

_IntuiBase:
  ds.l  1

  END

