(*-------------------------------------------------------------------------
:Program.       BrushToOberonDemo.mod
:Contents.      Demo for BrushToOberon
:Author.        Christian Stiens
:Address.       Heustiege 2, W-4710 Ldinghausen
:Copyright.     PD
:Language.      Oberon
:Translator.    Amiga Oberon V1.17.1 A+L
:History.       V1.0, 11-Mar-91
-------------------------------------------------------------------------*)

MODULE BrushToOberonDemo;

  IMPORT
    di : Display,
    g  : Graphics,
    I  : Intuition,
    hw : Hardware,
    s  : SYSTEM,
    w  : Windmuehle;

  VAR
    scr : di.ScreenPtr;
    rp  : g.RastPortPtr;
    vp  : g.ViewPortPtr;
    im  : I.Image;
    x,y : INTEGER;

BEGIN
  NEW(scr);
  IF di.OpenScreen(scr,"BrushToOberonDemo",0,0,640,200,2,TRUE,FALSE) THEN
    rp := scr.rp;
    vp := s.ADR(scr.screen.viewPort);
    g.LoadRGB4(vp,w.WindmuehleCols,4);
    im := I.Image(0,0,66,39,2,s.ADR(w.WindmuehleData),
                  SHORTSET{0,1},SHORTSET{},NIL);
    y := 20; WHILE y < 150 DO
      x := 20; WHILE x < 570 DO
        I.DrawImage(rp,s.ADR(im),x,y);
        INC(x,90);
      END;
      INC(y,55)
    END;
  END;
  WHILE hw.gamePort0 IN hw.ciaa.pra DO g.WaitTOF END;
END BrushToOberonDemo.
